Sessions mit Insights auflisten
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/sessions/insights \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/sessions/insights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/sessions/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"acus_consumed": 123,
"created_at": 123,
"num_devin_messages": 123,
"num_user_messages": 123,
"org_id": "<string>",
"pull_requests": [
{
"pr_state": "<string>",
"pr_url": "<string>"
}
],
"session_id": "<string>",
"tags": [
"<string>"
],
"updated_at": 123,
"url": "<string>",
"analysis": {
"action_items": [],
"classification": {
"category": "<string>",
"confidence": 123,
"programming_languages": [],
"tools_and_frameworks": []
},
"issues": [],
"note_usage": {
"bad_usages": [],
"good_usages": []
},
"suggested_prompt": {
"original_prompt": "<string>",
"suggested_prompt": "<string>",
"feedback_items": []
},
"timeline": []
},
"child_session_ids": [
"<string>"
],
"is_archived": false,
"parent_session_id": "<string>",
"playbook_id": "<string>",
"service_user_id": "<string>",
"structured_output": {},
"subcategory": "<string>",
"title": "<string>",
"user_id": "<string>"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Sitzungen (Organisation)
Sessions mit Insights auflisten
Sitzungen mit detaillierten Einblicken auflisten, einschließlich Anzahl der Nachrichten, Klassifizierung der Sitzungsgröße und von der KI generierter Analysen.
GET
/
v3
/
organizations
/
{org_id}
/
sessions
/
insights
Sessions mit Insights auflisten
Berechtigungen
ViewOrgSessions auf Organisationsebene.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
Beispiel:
"org-abc123def456"
Abfrageparameter
Show child attributes
Show child attributes
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, falls dies die letzte Seite ist.
Gibt an, ob nach dieser Seite weitere Elemente verfügbar sind.
Optionale Gesamtanzahl (kann aus Leistungsgründen weggelassen werden).
⌘I

